## BtMachineListModel BtMachineListModel — data model class for widgets showing machines of a song |

## Functions

BtMachine * | bt_machine_list_model_get_object ()
BtMachineListModel * | bt_machine_list_model_new ()

## Types and Values

struct | BtMachineListModel

## Object Hierarchy

        GObject
        ╰── BtMachineListModel

## Implemented Interfaces

BtMachineListModel implements GtkTreeModel.

## Includes

    #include "bt-edit.h"

## Description

A generic model representing the machines of a song, suitable for combo-boxes and treeview widgets.

## Functions

### bt_machine_list_model_get_object ()

    BtMachine *
    bt_machine_list_model_get_object (BtMachineListModel *model,
                                      GtkTreeIter *iter);

The the BtMachine for the iter.

#### Parameters

model | the model |
iter | the iter |

### bt_machine_list_model_new ()

    BtMachineListModel *
    bt_machine_list_model_new (BtSetup *setup);

Creates a list model of machines for the `setup` . The model is automatically updated when machines are added, removed or changed.

#### Parameters

setup | the setup |

#### Returns

the machine model.

## Types and Values

### struct BtMachineListModel

    struct BtMachineListModel;

Data model for GtkTreeView or GtkComboBox.